<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each one. For example, tag.php (Tag archives),
 * category.php (Category archives), author.php (Author archives), etc.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Broad
 * @since 1.0.1
 */

get_header(); ?>

    	<div class="row">
			<div class="col-lg-12">
				<?php
					$sidebar = broad_get_option_data('sidebar');
					if ($sidebar->option_activate == 0) {
						$section_class = 'class="col-sm-9"';
						$section_style = 'style="margin: 0 12.2%"';
					} else {
						$section_class = 'class="col-sm-8"';
						$section_style = '';
					}
				?>
	            <section <?php echo $section_class . ' ' . $section_style ?>>
					<?php if ( have_posts() ) : ?>
					                              
                		<div class="top-menu" data-toggle="tooltip" title="Displays Archive Title & Description" style="float: none; "><h5> - <?php printf( __( the_archive_title(), 'broad' ) . __(the_archive_description(), 'broad' ) ); ?> - </h5></div>
                		<div id="content" style="margin: -1% 0 0 0;">
							<?php while ( have_posts() ) : the_post(); ?>
								<?php get_template_part( 'content', get_post_format() ); ?>
							<?php endwhile; ?>
	                   	</div>
		                <div class="clear"></div>
		                <?php broad_paging_nav(); ?>
					<?php else : ?>
						<div id="content" style="margin: -1% 0 0 0;">
							<?php get_template_part( 'content', 'none' ); ?>
						</div>
						<div class="clear"></div>
					<?php endif; ?>
                </section>
                
				<?php $sidebar = broad_get_option_data( 'sidebar' ); if ( $sidebar->option_activate == 1 ) { get_sidebar(); } ?>
				
            </div>
        </div>                       

<?php get_footer(); ?>
