<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package Broad
 * @since 1.0.1
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<?php if ( have_comments() ) : ?>

<div id="accordion" class="top-menu" data-toggle="tooltip" title="Displays comments on <?php the_title(); ?>" style="font-size: 80%;">
    <i data-toggle="collapse" data-parent="#accordion" href="#collapseCom" class="fa fa-navicon col-lg-2"></i>
    <h5 class="col-lg-3 pull-right">
    	<?php
			printf( _nx( ' - 1 comment - ', ' - %1$s comments - ', get_comments_number(), 'comments title', 'broad' ),
				number_format_i18n( get_comments_number() ), get_the_title() );
		?> 
	</h5>
</div>

<article id="collapseCom" class="no-hover responsive"> 
	<ol class="comment-list">
		<?php
			wp_list_comments( array(
				'style'       => 'ol',
				'short_ping'  => true,
				'avatar_size' => 30,
			) );
		?>                        
	</ol><!-- .comment-list -->	
</article>			                                 


<?php broad_comment_nav(); ?>

<?php else : ?>

<div id="accordion" class="top-menu" data-toggle="tooltip" title="Be the first to comment on <?php if (is_page()) : echo 'our ' . get_the_title() . ' page'; ?><?php else : the_title(); ?><?php endif; ?>" style="font-size: 80%;">
    <h5> - Be the first to comment - </h5>
</div>

<?php endif; // have_comments() ?>

<?php
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
?>
	<article class="no-comments"><?php _e( 'Comments are closed.', 'broad' ); ?></article>
<?php endif; ?>

<?php broad_comment_form(); ?>
                              
