<?php

function broad_wc_wrapper_start() {
	$sidebar = broad_get_option_data('sidebar');
	if ($sidebar->option_activate == 0) {
		$section_class = 'class="col-md-9"';
		$section_style = 'style="margin: 0 12.2%"';
	} else {
		$section_class = 'class="col-sm-8"';
		$section_style = '';
	}                                                  
	echo '<div class="row">';
	echo '<div class="col-lg-12">';
	echo '<section ' . $section_class . ' ' . $section_style . '>';
}
function broad_wc_wrapper_end() {
	echo '</section>';
	
	$sidebar = broad_get_option_data('sidebar');
	if ($sidebar->option_activate == 1) { get_sidebar(); }
	
	echo '</div>';
	echo '</div>';
}

function broad_wc_breadcrumb() {
	$args =  array(
		'delimiter'   => ' <i class="fa fa-angle-double-right"></i> ',
		'wrap_before' => '<div class="breadcrumbs">',
		'wrap_after'  => '</div>',
		'before'      => '',
		'after'       => ''
	);
	woocommerce_breadcrumb($args);
}

function broad_wc_result_count() {
	global $wp_query;

	if ( ! woocommerce_products_will_display() )
		return;
	?>
	<div id="content" style="margin: -1% 0 0 0;">
	<article class="no-hover" style="width: 96.5%; padding: 2% 3% 0 3%;">
	<p class="woocommerce-result-count">
		<?php
		$paged    = max( 1, $wp_query->get( 'paged' ) );
		$per_page = $wp_query->get( 'posts_per_page' );
		$total    = $wp_query->found_posts;
		$first    = ( $per_page * $paged ) - $per_page + 1;
		$last     = min( $total, $wp_query->get( 'posts_per_page' ) * $paged );

		if ( 1 == $total ) {
			_e( 'Showing the single result', 'broad' );
		} elseif ( $total <= $per_page || -1 == $per_page ) {
			printf( __( 'Showing all %d results', 'broad' ), $total );
		} else {
			printf( _x( 'Showing %1$d&ndash;%2$d of %3$d results', '%1$d = first, %2$d = last, %3$d = total', 'broad' ), $first, $last, $total );
		}
		?>
	</p>
	<?php

}

function broad_wc_pagination() {
	global $wp_query;

	if ( $wp_query->max_num_pages <= 1 ) {
		return;
	}
	?>
	</article>
	</div>
	<div class="clear"></div>
	<nav class="woocommerce-pagination">
		<?php
			echo paginate_links( apply_filters( 'woocommerce_pagination_args', array(
				'base'         => esc_url_raw( str_replace( 999999999, '%#%', remove_query_arg( 'add-to-cart', get_pagenum_link( 999999999, false ) ) ) ),
				'format'       => '',
				'add_args'     => '',
				'current'      => max( 1, get_query_var( 'paged' ) ),
				'total'        => $wp_query->max_num_pages,
				'prev_text'    => '&larr;',
				'next_text'    => '&rarr;',
				'type'         => 'list',
				'end_size'     => 3,
				'mid_size'     => 3
			) ) );
		?>
	</nav>
	<?php
}

remove_action('woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action('woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);
remove_action('woocommerce_before_shop_loop', 'woocommerce_result_count', 20);
remove_action('woocommerce_after_shop_loop', 'woocommerce_pagination', 10);
remove_action('woocommerce_sidebar', 'woocommerce_get_sidebar', 10);
remove_action('woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);

add_action('woocommerce_before_main_content', 'broad_wc_wrapper_start', 10);
add_action('woocommerce_before_main_content', 'broad_wc_breadcrumb', 20);
add_action('woocommerce_before_shop_loop', 'broad_wc_result_count', 20);
add_action('woocommerce_after_shop_loop', 'broad_wc_pagination', 10);
add_action('woocommerce_after_main_content', 'broad_wc_wrapper_end', 10);



?>