<?php
// Return immediately, if featured posts is turned off or if no stiky post
$featured_posts = broad_get_option_data('featured_posts');
if ( $featured_posts->option_activate == 0 ) return;

$stickies = get_option('sticky_posts');

// Query featured entries
$query = array( 'post_type' => 'post', 'post__in' => $stickies );
$query = new WP_Query($query);

?>
<?php if ( count($stickies == 1) && $query->have_posts() ): // No slider if 1 post is featured ?>
<!-- Featured -->
<section id="featured">
	<!--slider--> 
	<div class="container">
	    <div class="row">
	        <div class="col-sm-12">
	            <div id="slider-carousel" class="carousel slide" data-ride="carousel">
					<ol class="carousel-indicators">
						<?php for ( $i = 0; $i < count( $stickies ); $i++ ) : ?>
						<li data-target="#slider-carousel" data-slide-to="<?php echo $i; ?>" <?php if ( $i == 0 ) { echo 'class="active"'; } ?>></li>
						<?php endfor; ?>
					</ol>	                
	                <div class="carousel-inner">
					<?php $counter = 1; while( $query->have_posts() ) : $query->the_post(); ?>

	                    <div class="item<?php if ( $counter == 1 ) { echo ' active'; } ?>">
	                        <div class="col-sm-9">
							    <header class="col-lg-12 article-content" style="margin: 0 0 2% 0">
							        <?php the_title( sprintf( '<a href="%s" rel="bookmark"><h4>', esc_url( get_permalink() ) ), '</h4></a>' ); ?>							        
							        <div class="post-<?php the_ID(); ?>-content" style="color:#fff;"><?php broad_post_excerpt(); ?></div>        
							    </header>
	                            <a href="<?php echo esc_url( get_permalink() ); ?>" class="col-lg-12">
	                                <button type="button" class="btn btn-primary get">READ MORE <span id="readmore"></span></button>
	                            </a>
	                        </div>
	                        <div class="col-sm-3">
		                        <figure class="col-sm-12 article-thumbnail" aria-hidden="true">
    								<?php if ( has_post_thumbnail() ) : ?>				
									<?php the_post_thumbnail( '', array( 'class' => 'img-responsive', 'alt' => the_title_attribute( 'echo=0' ), 'style' => 'width: 90%; height: 150px; max-height: 150px;' ) ); ?>
									<?php else : ?>
									<img src="<?php echo get_template_directory_uri() . '/images/no-featured.jpg' ?>" alt="no-thumbnail" class="img-responsive" style="width: 90%; height: 150px; max-height: 150px;">
									<?php endif; ?>
								</figure>
	                        </div>
	                    </div>
					<?php $counter++; endwhile; wp_reset_postdata(); ?>
						
	                </div>
	                
	                <a href="#slider-carousel" class="left control-carousel hidden-xs" data-slide="prev"><span id="left"></span></a>
	                <a href="#slider-carousel" class="right control-carousel hidden-xs" data-slide="next"><span id="right"></span></a>
	            </div>
	            
	        </div>
	    </div>
	</div>
	<!--/slider-->
</section>	
<?php endif;
?>
