<?php
/**
 * The template for displaying all single posts
 *
 * @package Broad
 * @since 1.0.1
 */

get_header(); ?>

    <div class="row">
		<div class="col-lg-12">
			<?php
				$sidebar = broad_get_option_data( 'sidebar' );
				if ( $sidebar->option_activate == 0 ) {
					$section_class = 'class="col-sm-9"';
					$section_style = 'style="margin: 0 12.2%"';
				} else {
					$section_class = 'class="col-sm-8"';
					$section_style = '';
				}
			?>
            <section <?php echo $section_class . ' ' . $section_style ?>>
				<?php if ( have_posts() ) : ?>
					                
                	<div class="breadcrumbs">
                		<?php broad_breadcrumbs(); ?>
                	</div>
                	<div class="top-menu" data-toggle="tooltip" title="Displays Post Title"><h5> - <?php printf( __( get_the_title(), 'broad' ) ); ?> - </h5></div>
					<div id="content" style="margin: -1% 0 0 0;">
						<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'content' ); ?>
						<?php endwhile; ?>
						<?php broad_comment_template(); ?>	
					</div>
		            <div class="clear"></div>
					
					<?php broad_paging_nav(); ?>
					<?php else : ?>
						<div id="content" style="margin: -1% 0 0 0;">
							<?php get_template_part( 'content', 'none' ); ?>
						</div>
						<div class="clear"></div>
					<?php endif; ?>

            </section>
            
			<?php $sidebar = broad_get_option_data('sidebar'); if ($sidebar->option_activate == 1) { get_sidebar(); } ?>
			
        </div>
    </div>
<?php get_footer(); ?>